package LRSVisitor;

// Defines an interface for comparable objects.

public interface IComparable
{
    public abstract boolean compare(IComparable x);
    
    // not really necessary, but makes life a little easier.
    public abstract boolean equals(IComparable x);
    
}
